[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'IntfGraphics' (#lcl)

# TArrayNodesTree

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: intfgraphics.pas line 339

`type TArrayNodesTree = class`
`public`
`Root: TArrayNode;` |  |
`function FindNode();` |  |
`function FindData();` |  |
`function SetNode();` |  |
`procedure Delete();` |  |
`procedure Clear;` |  |
`constructor Create;` |  |
`destructor Destroy; override;` |  |
`procedure ConsistencyCheck;` |  |
`end;`

## Inheritance

`TArrayNodesTree` |  |
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.